# 说明

用户三方系统与MulitMarket白标客户的账户系统集成，基于MulitMarket的白标账户系统进行快捷登录三方系统，使用此API需要向白标申请appid等授权信息。

## 流程：

通过跳转白标客户端页面获取授权码，白标客户端需要用户授权三方系统获取授权码Code，客户同意后，返回Code给三方平台，三方平台根据appId、appSecret、code信息通过调用后端接口获取访问用户信息的有效访问令牌，最后根据此令牌可以获取用户基本信息，并进行授权绑定。&#x20;

## 步骤：&#x20;

1、打开授权页面获取授权码 <https://www.headline.net/en-US/auth2/code?appId=088b591f5fd735be62608a272f4d971f&thirdAppType=HG&url=https%3A%2F%2Fwww.hg.com%2Flogin>&#x20;

以上授权确认后会跳转至\
<https://www.hg.com/login?code=********&app=headline>

2、三方平台通过授权码换取访问令牌 通过获取code，后台调用接口换取 accessToken

3、根据访问令牌获取用户信息进行账号绑定 三方平台后台根据accessToken获取用户信息


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/auth2-api/shuo-ming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
